/*
 * SwappablePreferences.h
 * Generic base class for inspector/preference swappable view.
 *
 * Copyright (c) 1997 21st Century Software, New York City.
 *
 * See the file doc/LICENSE for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <david_young@thinkinc.com>, 1997.
 */

#import <appkit/appkit.h>

#import <foundation/NSString.h>

@interface SwappablePreferences:Object
{
    id	controlGroup;
	id	parent;
}

- initWithParent:sender;

- (NSString *)windowTitle;
- (NSString *)buttonTitle;

- (View *)enclosingView;

- (void)willBecomeCurrentView:sender;
- (void)willResignCurrentView:sender;

@end
